Bug 45450 - Calc ODF export: invalid "style:vertical-justify"/"css3t:text-justify" written in ODF 1.1/1.2
Summary: Calc ODF export: invalid "style:vertical-justify"/"css3t:text-justify" writte...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Michael Stahl
QA Contact:
URL:
Whiteboard: target:3.4.6 target:3.5.1 target:3.6....
Keywords: regression
Depends on:
Blocks: ODF-export-invalid
  Show dependency treegraph
 
Reported: 2012-01-31 07:32 UTC by sasha.libreoffice
Modified: 2017-05-28 14:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
validated file (155.08 KB, application/vnd.oasis.opendocument.text)
2012-01-31 07:32 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-01-31 07:32:13 UTC
Created attachment 56396 [details]
validated file

Writer document not passed validation on http://odf-validator.rhcloud.com/
error is:
temp-22.odt/Object 1/styles.xml[2,43729]: Error: unexpected attribute "style:vertical-justify"

LibO 3.6.0 master a1275f8-9eed775-f061262
Comment 1 Michael Stahl 2012-02-02 09:48:09 UTC
actually problem is in the embedded spreadsheet.

this is a LO regression from 7da57d17b6179e71c8b6d7549ad89eaf3a4a28c6,
the new attributes should only be written in ODF extended mode.

fixed on master:

790365e79d28e2c2a41140707ac126dbf6966e38